from testtools import TestCase
import hooks


class HooksTest(TestCase):
    def test__get_key_file_location_empty(self):
        """No ssl_keylocation, expect None."""
        self.assertEqual(hooks._get_key_file_location(
            {"ssl_keylocation": None}), None)

    def test__get_key_file_location(self):
        """ssl_keylocation, expect correct path."""
        self.assertEqual(hooks._get_key_file_location(
            {"ssl_keylocation": "foo"}), "/etc/ssl/private/foo")

    def test__get_cert_file_location_empty(self):
        """No ssl_keylocation, expect None."""
        self.assertEqual(hooks._get_cert_file_location(
            {"ssl_certlocation": None}), None)

    def test__get_cert_file_location(self):
        """ssl_keylocation, expect correct path."""
        self.assertEqual(hooks._get_cert_file_location(
            {"ssl_certlocation": "foo"}), "/etc/ssl/certs/foo")

    def test__get_chain_file_location_empty(self):
        """No ssl_keylocation, expect None."""
        self.assertEqual(hooks._get_chain_file_location(
            {"ssl_chainlocation": None}), None)

    def test__get_chain_file_location(self):
        """ssl_keylocation, expect correct path."""
        self.assertEqual(hooks._get_chain_file_location(
            {"ssl_chainlocation": "foo"}), "/etc/ssl/certs/foo")
